package com.tptj.demo.hg.request.interceptor;

import com.fanruan.api.log.LogKit;
import com.fanruan.api.net.NetworkKit;
import com.fanruan.api.web.FlushKit;
import com.fr.cache.Attachment;
import com.fr.cache.AttachmentSource;
import com.fr.json.JSONObject;
import com.fr.web.core.ActionNoSessionCMD;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * @author 秃破天际
 * @version 10.0
 * Created by 秃破天际 on 2021-03-19
 **/
public class NewDemo extends ActionNoSessionCMD {
    @Override
    public String getCMD() {
        return "ah_info";
    }

    @Override
    public void actionCMD(HttpServletRequest req, HttpServletResponse res) throws Exception {
        JSONObject info = JSONObject.create();
        try{
            String id= NetworkKit.getHTTPRequestParameter(req,"id");
            Attachment attachment = AttachmentSource.getAttachment(id);
            info.put("id",id);
            info.put("size",attachment.getInputStream().available() );
            info.put("filename",attachment.getFilename());
            info.put("success",true);
        }catch(Exception e){
            info.put("error_msg",e.getMessage());
            info.put("success",false);
            LogKit.error(e,e.getMessage());
        }
        FlushKit.printAsJSON(res,info);
    }
}
